<template>
	<view>
		
		<!--#ifdef MP-WEIXIN -->
		<web-view :src="outUrl"></web-view>
		<!--#endif-->
		
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				enterUrl:"",//进入页面路由
				outUrl:"",//跳出页面路由
			}
		},
		onLoad(option) {
			this.enterUrl=option.q
			if(this.enterUrl){//直接扫码进入
				let channelId=this.getUrlKey("channelId")
				let companyId=this.getUrlKey("companyId")
				let merchantId=this.getUrlKey("merchantId")
				let groupId=this.getUrlKey("groupId")
				let groupChannelId=this.getUrlKey("groupChannelId")
				let pageType=this.getUrlKey("pageType")
				if(pageType==1){//组合
					this.outUrl="https://wx.pangdly.com/#/combiChoose?channelId="+channelId+"&merchantId="+merchantId+"&groupId="+groupId+"&groupChannelId="+groupChannelId+"&companyId="+companyId
					
				}else{//分销
					uni.navigateTo({
						url:"../distributionCombiChoose/distributionCombiChoose?channelId="+channelId+"&merchantId="+merchantId+"&groupId="+groupId+"&groupChannelId="+groupChannelId+"&companyId="+companyId
					})
				}
			}else{//分销页面跳转进入
				let channelId=option.channelId
				let companyId=option.companyId
				let merchantId=option.merchantId
				let groupId=option.groupId
				let groupChannelId=option.groupChannelId
				this.outUrl="https://wx.pangdly.com/#/combiChoose?channelId="+channelId+"&merchantId="+merchantId+"&groupId="+groupId+"&groupChannelId="+groupChannelId+"&companyId="+companyId
			}
			
			
		},
		methods: {
			getUrlKey(name){//---------------------------------------------------------------获取url
			  return(new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(decodeURIComponent(this.enterUrl)) || [, ""])[1].replace(/\+/g, '%20') || "";
			},
		}
	}
</script>

<style>

</style>
